AnalyticContinuousPartialFloatingLookbackEngine Class Reference

Pricing engine for European continuous partial-time floating-strike lookback option. More...

`#include <ql/pricingengines/lookback/analyticcontinuouspartialfloatinglookback.hpp>`

Inheritance diagram for AnalyticContinuousPartialFloatingLookbackEngine:
[legend]

## Public Member Functions

| AnalyticContinuousPartialFloatingLookbackEngine (const boost::shared_ptr< GeneralizedBlackScholesProcess > &process)
void | calculate () const
Public Member Functions inherited from GenericEngine< ContinuousPartialFloatingLookbackOption::arguments, ContinuousPartialFloatingLookbackOption::results >
PricingEngine::arguments * | getArguments () const
const PricingEngine::results * | getResults () const
void | reset ()
void | update ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< std::set< boost::shared_ptr< Observable > >::iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()

## Additional Inherited Members

Protected Attributes inherited from GenericEngine< ContinuousPartialFloatingLookbackOption::arguments, ContinuousPartialFloatingLookbackOption::results >
ContinuousPartialFloatingLookbackOption::arguments | arguments_
ContinuousPartialFloatingLookbackOption::results | results_

## Detailed Description

Pricing engine for European continuous partial-time floating-strike lookback option.

Formula from "Option Pricing Formulas, Second Edition", E.G. Haug, 2006, p.146

Tests:
  returned values verified against results from literature